<template>
  <!-- Specifications -->
  <div class="specifications">
    <div class="heading">
      <div>
        <p>{{ $page.device.name }}</p>
        <h2 class="h3">Specifications</h2>
      </div>
      <a
        class="badge badge-primary badge-pill"
        target="_blank"
        :href="'https://ddg.gg/?q=' + $page.device.name + '%20specs'"
      >
        <g-image
          class="both-invert"
          src="~/assets/img/symbols/external-link.svg"
        />
      </a>
    </div>
    <div class="table-responsive">
      <table class="table table-striped">
        <tbody>
          <tr v-for="info in deviceInfo" :key="info.id">
            <td>{{ info.name }}</td>
            <td>{{ info.value }}</td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</template>

<script>
export default {
  name: "DeviceInfo",
  props: {
    deviceInfo: {
      type: Array,
      default: function () {
        return [];
      }
    }
  }
};
</script>
